import InputNumber from '../../input-number';
import React from 'react';
import Row from '../../row';
import Col from '../../col';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
const LabelInput = props => {
  const {
    label,
    id,
    value,
    onChange
  } = props;
  return /*#__PURE__*/_jsxs(Row, {
    gutter: 8,
    align: "middle",
    wrap: false,
    children: [/*#__PURE__*/_jsx(Col, {
      children: /*#__PURE__*/_jsx("label", {
        htmlFor: id,
        className: "label-input-text",
        children: label
      })
    }), /*#__PURE__*/_jsx(Col, {
      flex: 1,
      children: /*#__PURE__*/_jsx(InputNumber, {
        className: "label-input-inner",
        placeholder: "\u8BF7\u8F93\u5165\u50CF\u7D20\u503C",
        id: id,
        value: value,
        onChange: onChange,
        min: 0.01,
        style: {
          width: 120
        }
      })
    })]
  });
};
export default LabelInput;